---
sidebar_position: 0
---

# osd

The `sos.osd` API groups together methods for working with the signageOS OSD (On Screen Display).

More information about the OSD can be found in the [OSD Introduction](https://docs.signageos.io/hc/en-us/articles/4405231839890-OSD-menu-by-signageOS)

<details>
    <summary>Front OSD Capabilities</summary>
		| Capability | Description |
		|:------------|:-------------|
		| `FRONT_OSD` | If device supports opening OSD |

		If you want to check if the device supports this capability, use [`sos.display.supports()`](https://developers.signageos.io/sdk/sos/display#supports).
</details>

## Methods

### showOSD()

The `showOSD()` method opens the OSD without typing the pin.
Note: The OSD will be opened after 6 seconds.

```ts expandable
showOSD(): Promise<void>;
```

#### Return value

A promise that resolves when the OSD is shown.

## API Example

```ts
import { sos } from '@signageos/front-applet';

void sos.onReady(() => {
	sos.input.onKeyUp(async (e) => {
		if (e.keyName === 'BLUE') {
			await sos.osd.showOSD();
		}
	});
});

```